@font-face {
  font-family: 'GridmaticExplode';
  src: url('GridmaticExplodeEdit2VF.woff2') format('woff2');
}

@font-face {
  font-family: 'GridmaticTilt';
  src: url('GridmaticTiltVF.woff2') format('woff2');
}

@font-face {
  font-family: 'GridmaticStretch';
  src: url('GridmaticStretchVF.woff2') format('woff2');
}

@font-face {
  font-family: 'GridmaticGrade';
  src: url('GridmaticGradeVF.woff2') format('woff2');
}
/* Light Mode Overrides */

/* Light Mode Overrides */
 :root{
  /* Primary Colors */
  --primary: #231e2e;      /* A darker primary color for contrast on light backgrounds */
  --accent:  #8635ff;      /* A contrasting accent color */
  
  /* Backgrounds & Containers */
  --bg-main:  #f2eef7;     /* White background */
  --bg-panel: #ffffff;      /* Light gray panels */
  --bg-slider: #e4d9ff;     /* Even lighter slider background */
  --bg-dark-mode: #f6efffaf;     /* A neutral light color */
  
  /* Text & Supporting Colors */
  --text-primary: #1D1B20;  /* Black text */
  --text-secondary: #8d68b5;
  --text-dark: #1D1B20;
  --text-selected: #49335c;
  --text-white: #dac9ff;
  --text-light: #1D1B20;
  --dark-mode-text: #21005D;
  --dark-mode-border: #baa1ff;

  --drop-shadow-normal: drop-shadow(0px 2px 12px rgba(114, 59, 255, 0.15));
  --drop-shadow-hover: drop-shadow(0px 2px 12px rgba(111, 49, 255, 0.3));

  /* Hover / Transparent Effects */
  --hover-bg: #d5c3ff;
  --print-example: #cccccc;
  
  /* Gradient Colors (adjust as needed) */
  --grad-1: hsla(0, 0%, 80%, 0.089);
  --grad-2: hsla(0, 0%, 90%, 0.613);
  --grad-3: hsla(0, 0%, 95%, 0.101);
  --grad-4: hsla(0, 0%, 95%, 0.101);
  --grad-5: hsla(0, 0%, 95%, 0.098);
}

body.light-mode {
  /* Primary Colors */
  --primary: #EADDFF;
  --accent:  #9A7BFF;
  
  /* Backgrounds & Containers */
  --bg-main:  #141218;
  --bg-panel: #1b1921;
  --bg-slider: #1b1628;
  --bg-dark-mode: #1C1B1D7a;
  
  /* Text & Supporting Colors */
  --text-primary: #EADDFF;
  --text-secondary: #9f9aac;
  --text-dark: #0A0A0A;
  --text-selected: #eae4ff;
  --text-white: #bea0ff;
  --text-light: #e0cdff;
  --dark-mode-text: #ddceff;
  --dark-mode-border: #7C55FF;

  /* Drop shadow variables */
  --drop-shadow-normal: drop-shadow(0px 2px 12px rgba(213, 206, 230, 0.2));
  --drop-shadow-hover: drop-shadow(0px 2px 12px rgba(213, 206, 230, 0.4));

  
  /* Hover / Transparent Effects */
  --hover-bg: #654fa9;
  --print-example: #b99bff98;
  
  /* Gradient Colors */
  --grad-1: hsla(260, 65%, 47%, 0.089);
  --grad-2: hsla(259, 61%, 11%, 0.613);
  --grad-3: hsla(254, 55%, 45%, 0.101);
  --grad-4: hsla(262, 100%, 52%, 0.101);
  --grad-5: hsla(263, 95%, 49%, 0.098);
}

.space-grotesk {
  font-family: "Space Grotesk", serif;
  font-optical-sizing: auto;
  font-style: normal;
}

html, body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  font-variation-settings: normal;
  background-color: var(--bg-main);
  scroll-behavior: smooth;
  font-size: 1rem;
  margin: 0;
  padding: 0;
}

.hidden-scrollbar {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

.hidden-scrollbar::-webkit-scrollbar {
  display: none;
}

.button {
  z-index: 3;
  display: flex;
  font-family: 'Space Grotesk', monospace;
  background-color: var(--text-white);
  color: var(--text-dark);
  border: none;
  border-radius: 2rem;
  padding: 0.375rem 1rem; 
  font-size: 1rem; 
  cursor: pointer;
  transition: 0.3s;

     filter: var(--drop-shadow-normal);
  animation: appear 3s;
}
.button2 {
  z-index: 3;
  display: flex;
  font-family: 'Space Grotesk', monospace;
  background-color: var(--text-white);
  color: var(--text-dark);
  border: none;
  border-radius: 2rem;
  padding: 0.375rem 1rem; 
  font-size: 1rem; 
  cursor: pointer;
  transition: 0.3s;

     filter: var(--drop-shadow-normal);
  animation: appear 3s;
}

.buttonmode {
  z-index: 3;
  display: flex;
  font-family: 'Space Grotesk', monospace;
  border: none;
  border-radius: 2rem;
  padding: 0.25rem 0.25rem 0.25rem 1rem;
  font-size: 1rem; 
  cursor: pointer;
  transition: 0.3s;
  filter: var(--drop-shadow-normal);
  animation: appear 3s;
  z-index: 5;
  top: 2rem;
  position: fixed;
  align-self: center;
  align-items: center;
  justify-content: center;
  color: var(--dark-mode-text);
  border: 1px solid var(--dark-mode-border);
  background-color: var(--bg-dark-mode);
  backdrop-filter: blur(10px);
}
.button2:hover,
.button:hover,
.buttonmode:hover {
  font-weight: 600;
  filter: var(--drop-shadow-hover);
}

.button.active {
  font-weight: 600;
  filter: var(--drop-shadow-hover);
}

.text-large {
  display: flex;
  font-family: 'GridmaticStretch', sans-serif;
  font-size: calc(4rem + 8vw); 
  font-weight: 400;
  color: var(--primary);
  line-height: calc(4rem + 8vw);
  transform: translateY(100%);

  animation: 
    slideIn 1.0s cubic-bezier(0,1,.5,1) forwards, 
    fontWidth 2s cubic-bezier(1,0,.54,1) forwards; 
  font-variation-settings: "wdth" 100, "wght" 100;
  transition: font-variation-settings 0.1s ease-in-out;
  will-change: transform, font-variation-settings;
  backface-visibility: hidden;
}

.text-medium {
  font-family: 'logo', sans-serif;
  font-size: 1.5rem; 
  font-weight: 400;
  color: var(--primary);
}

h1 {

  z-index: 3;
  font-family: 'GridmaticTilt', sans-serif;
  font-size: 2.5rem; 
  font-weight: 100;
  color: var(--primary);
  font-family: 'Space Grotesk', monospace;
  animation: appear 3s;
  will-change: transform;
  transform: translateZ(0);
  backface-visibility: hidden;

}

/* Base styling for elements with .h1 */
.h1 {
  position: absolute;
  font-size: 5rem;  /* Base size for larger screens */
  transition: all 0.3s ease; /* Smooth transitions on resize */
}

/* Default positions for larger screens */
.bomb {
  top: 4%;
  left: -2%;
  transform: rotate(-18deg);
}
.hero {
  margin: 1rem;
 }
.drinks {
  top: 7%;
  right: -3%;
  transform: rotate(10deg);
}

.neutral {
  bottom: 17%;
  left: -2%;
  transform: rotate(7deg);
}

.tv {
  bottom: 13%;
  right: -2%;
  transform: rotate(-9deg);
}



















h4 {
  z-index: 3;
  margin-top: 0rem;
  font-size: 2.5rem; 
  font-weight: 100;
  color: var(--primary);
  font-family: 'Space Grotesk', monospace;
  animation: appear 3s;
  margin-bottom: 2rem;
}

h2 {
  will-change: transform, font-variation-settings; 
  margin: 1rem 0rem;
  z-index: 3;
  font-family: 'GridmaticTilt', sans-serif;
  font-size: 1.075rem; 
  font-weight: 100;
  color: var(--text-secondary);
  font-family: 'Space Grotesk', monospace;
  animation: appear 3s;
}

h3 {
  will-change: transform, font-variation-settings; 
  z-index: 3;
  margin: 1rem 0rem;
  font-family: 'GridmaticTilt', sans-serif;
  font-size: 1.5rem; 
  font-weight: 100;
  color: var(--text-selected);
  font-family: 'Space Grotesk', monospace;
  animation: appear 3s;
}

.background {
  z-index: 0;
  background-image:
    radial-gradient(at 67% 41%, var(--grad-1) 0px, transparent 50%),
    radial-gradient(at 40% 43%, var(--grad-2) 0px, transparent 50%),
    radial-gradient(at 89% 50%, var(--grad-3) 0px, transparent 50%),
    radial-gradient(at 17% 50%, var(--grad-4) 0px, transparent 50%),
    radial-gradient(at 43% 64%, var(--grad-5) 0px, transparent 50%);
  position: relative;
  height: 100vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  overflow: hidden;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.h1 {
  font-family: 'GridmaticExplode', sans-serif;
  font-size: calc(4rem + 8vw); 
  color: var(--accent);
  white-space: nowrap;
  position: absolute;
  border-radius: 50%;
  font-variation-settings: "VERT" 400, "HORI" 100, "wght" 100;
  will-change: transform, font-variation-settings;
  backface-visibility: hidden;
}

@keyframes slideIn {
  0% {
    transform: translateY(90%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes appear {
  0% {
    opacity: 0;
  }
  60% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fontWidth {
  0% {
    font-variation-settings: "wdth" 200, "wght" 150;
  }
  75% {
    font-variation-settings: "wdth" 60, "wght" 100;
  }
  100% {
    font-variation-settings: "wdth" 100, "wght" 310;
  }
}

.box {
  z-index: 3;
  padding: 2rem;
  border-radius: 2rem;
  max-width: 100%;
  margin: 1rem;
  margin-top: -8rem;
  margin-bottom: -1rem;
}

.box2 {
  z-index: 3;
  border-radius: 2rem;
  max-width: 100%;
  padding: 2rem;
  margin: 1rem;
  margin-top: 0rem;
  padding-top: 0rem;
  margin-bottom: 0rem;
  display: flex;
  justify-content: center;
  align-items: center;

}
.box3 {
  z-index: 3;
  border-radius: 2rem;
  max-width: 100%;
  padding: 2rem;
  margin: 1rem;
  margin-top: 0rem;
  padding-top: 0rem;
  margin-bottom: 0rem;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 4rem;
}
.box4 {
  z-index: 3;
  border-radius: 2rem;
  max-width: 100%;
  padding: 2rem;
  margin: 1rem;
  margin-top: 0rem;
  padding-top: 0rem;
  margin-bottom: 0rem;
  display: flex;
  justify-content: center;
  align-items: center;
  display: block;

}

.content-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  
}

.text-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}
.text-grid2 {
display: grid;
grid-template-columns: 2fr 2fr 2fr;
gap: 1.5rem;
padding: 8vw;
padding-bottom: 0rem;

}

.text-block {
  animation: appear 3s;
  transition: background-color 0.8s ease, box-shadow 0.8s ease;
  z-index: 3;
  text-align: left;
  background-color: var(--bg-panel);
  padding: 0.5rem 1.5rem;
  border-radius: 1.5rem;
  box-shadow: none; /* No shadow by default */
}

.text-block.light-mode {
  background-color: var(--hover-bg);
  box-shadow: var(--drop-shadow-hover); /* Shadow only on the container */
  transition: background-color 0.8s ease, box-shadow 0.8s ease;
}
.text-block2 {
  animation: appear 3s;
  transition: background-color 0.8s ease, box-shadow 0.8s ease;
  z-index: 3;
  text-align: left;
  background-color: var(--bg-panel);
  padding: 0.5rem 1.5rem;
  border-radius: 1.5rem;
  box-shadow: none; /* No shadow by default */
}

.text-block2.light-mode {
  background-color: var(--hover-bg);
  box-shadow: var(--drop-shadow-hover); /* Shadow only on the container */
  transition: background-color 0.8s ease, box-shadow 0.8s ease;
}

.text-block.light-mode h3 {
  font-weight: 400;
  color: var(--text-selected);
  transition: color 0.8s ease;
}

.text-block.light-mode h2 {
  font-weight: 200;
  color: var(--primary);
  transition: color 0.8s ease;
}

.text-block:hover {
  background-color: var(--hover-bg);
  box-shadow: var(--drop-shadow-hover); /* Shadow only on the container */
  transition: background-color 0.8s ease, box-shadow 0.8s ease;
}

.text-block:hover h3 {
  font-weight: 400;
  color: var(--text-selected);
}

.text-block:hover h2 {
  font-weight: 200;
  color: var(--primary);
}




.letters, .letters2 {

  position: relative;
  
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  background-color: var(--bg-panel);
  gap: 2rem;
  border-radius: 1.5rem;

  overflow: hidden;
  animation: appear 3s;
}
.letters3 {
background-color: #E0D3FF;
position: relative;
width: 46vw;
height: 46vw;

position: relative;
  
display: flex;
flex-direction: column;
align-items: flex-start;

gap: 2rem;
border-radius: 1.5rem;

overflow: hidden;
animation: appear 3s;
}

.letters2 {
  height: 600px;
  background-color: var(--bg-slider);
}

#videoPlayer {
  width: 100%;
  height: 100%;
  transition: opacity 0.5s ease-in-out;
}

.fade-out {
  opacity: 0;
}

.fade-in {
  opacity: 1;
}




c {
  color: var(--accent);
}

b {
  color: var(--accent);
  font-weight: 175;
}

#containerslider {
  top: -90px;
  display: flex;
  width: 100%;
  margin: 0.5rem;
  overflow: hidden;
}

.slider {
 
  z-index: 3;
  margin: 1rem 3rem;
  position: relative;
  align-items: center; 
  padding: 0.1rem;
  background-color: var(--bg-slider);
  font-size: 140px;
  font-weight: 120;
  font-family: 'GridmaticTilt';
  border-radius: 1.5rem;
  color: var(--accent);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-variation-settings:  "wdth" 100;
  will-change: transform, font-variation-settings;
  backface-visibility: hidden;

}

.show {
  will-change: transform, font-variation-settings; 
  font-family: 'GridmaticStretch';
  font-size: 4rem; 
  font-weight: 175;
  flex-grow: 1; 
  color: var(--primary);
  will-change: transform;
  transform: translateZ(0);
  backface-visibility: hidden;
}
.show2 {
  will-change: transform, font-variation-settings; 
  font-family: 'GridmaticStretch';
  font-size: 4rem; 
  font-weight: 175;
  flex-grow: 1; 
  color: var(--primary);
  font-size: 5rem; max-width: 82rem; margin-top: 2rem; margin-left: auto; margin-right: auto;
  will-change: transform;
  transform: translateZ(0);
  backface-visibility: hidden;
}

.show[contenteditable="true"]:focus {
  outline: none;
  border: none;
  box-shadow: none;
}

.container2 {
  animation: appear 3s;
  font-family: 'Space Grotesk', monospace;
  display: grid;
  grid-template-columns: 2fr 3.5fr 5fr;
  grid-gap: 3rem;
  max-width: 100%;
  padding: 5rem 4rem 0rem 4rem;
  margin: 0;
  color: var(--primary);
}

.container3 {
  font-family: 'Space Grotesk', monospace;
  display: grid;
  grid-template-columns: 2fr 3.5fr;
  grid-gap: 4rem;
  max-width: 100%;
  padding: 3rem 3rem;
  margin: 0;
  color: var(--primary);
}
.container35 {
  font-family: 'Space Grotesk', monospace;
  display: grid;
  grid-template-columns: 3.5fr 2fr;
  grid-gap: 4rem;
  max-width: 100%;
  padding: 3rem 3rem;
  margin: 0;
  color: var(--primary);
}

.container4 {
  font-family: 'Space Grotesk', monospace;
  padding: 3rem 0;
  color: var(--primary);
  align-items: center;
}

.info-section p {
  margin-bottom: 1rem;
}

.info-section .meta {
  margin-bottom: 1rem;
  font-style: italic;
}

.languages h2 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
}

.languages p {
  line-height: 1.6;
}

.text-large2 {
  z-index: 1;
  margin: 0;
  font-family: 'GridmaticGrade', sans-serif;
  font-size: calc(19.5vw);
  color: var(--accent);
  font-variation-settings: "GRAD" 150, "wght" 0;
  will-change: transform, font-variation-settings;
  backface-visibility: hidden;
}

.text-large3 {
 
  z-index: 1;
  margin: 0;
  font-family: 'GridmaticGrade', sans-serif;
  font-size: calc(15.2vw);
  color: var(--accent);
  font-variation-settings: "GRAD" 150, "wght" 0;
  will-change: transform, font-variation-settings;
  backface-visibility: hidden;

}

.vh-50 {
  height: 45vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.h5 {
  will-change: transform, font-variation-settings; 
  padding: 50px;
  line-height: 1.0; 
  cursor: grab;
  font-family: 'GridmaticExplode', sans-serif;
  text-align: center;
  color: var(--accent);
  margin: 0;
  font-size: 172px;
  position: absolute;
  align-items: center;
  font-variation-settings: "HORI" 120, "VERT" 200;
   will-change: transform, font-variation-settings;
  backface-visibility: hidden;
}

.parallax {
  position: absolute; /* important for free positioning */
  transition: opacity 0.01s ease-in-out;
}
.parallax img {
  display: block;
}


.big-container {
  
  padding: 20px;
  height: 400vh;
  position: relative;
}

#container2 {
  position: sticky;
  top: 0;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

p {
  opacity: 50%;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

#font-family-buttons {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  margin-bottom: 1rem;
}

#preview-container {
  min-width: 35vw;
  flex-direction: column;
  align-items: center;
  position: sticky;
  top: 2rem;
}

#glyph-preview-container {
  top: -3rem;
  position: relative;
  width: 100%;
  text-align: center;
}

#glyph-preview {
  font-size: 25vw;
  color: var(--primary);
  position: relative;
  z-index: 1;
}

.glyph-lines {
  font-family: "Space Grotesk", serif;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  pointer-events: none;

}

#wrapper {
  padding: 2rem;
  min-width: 45%;
  position: relative;
}

#container {
  display: flex;
  max-width: 100%;
  margin: 0 auto;
  padding: 20px;
  position: relative;
}

.line {
  position: absolute;
  width: 100%;
  border-top: 1px solid var(--text-white);
  color: var(--primary);
  font-size: 14px;
  text-align: left;
  padding-right: 5px;
}

.cap-height { top: 22%; }
.x-height { top: 37%; }
.baseline { top: 81.5%; }
.descender { top: 100%; }

#glyph-info {
  font-family: "Space Grotesk";
  margin-top: 1rem;
  text-align: left;
  font-size: 14px;
  color: var(--primary);
  font-weight: 400;
}

.controls label {
  display: block;
  margin: 0;
}

#glyph-container {
  padding: 1.5rem;
  padding-right: 0;
 
}

.glyph-group {
  margin-bottom: 20px;
}

.glyph-group h3 {
  text-align: left;
  font-weight: 500;
  color: var(--primary);
  font-size: 12px;
  text-transform: uppercase;
  margin-bottom: 1rem;

}

.glyph-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}

.glyph-box {
  color: var(--primary);
  background-color: var(--bg-panel);
  font-weight: 200;
  transition: 0.2s;
  padding: 8px;
  border-radius: 1rem;
  font-size: 3rem;
  width: 80px;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  user-select: none;
}

@media (max-width: 768px) {
  #glyph-container {
    padding: 0;
  }
  .glyph-group h3 {
    font-size: 10px;
  }
  .glyph-box {
    font-size: 2rem;
    width: 50px;
    height: 50px;
  }
}

@media (max-width: 480px) {
  #glyph-container {
    padding: 0;
  }
  .glyph-group h3 {
    font-size: 12px;
  }
  .glyph-box {
    font-size: 18px;
    width: 40px;
    height: 40px;
  }
}

.glyph-box:hover {
  transition: 0.2s;
  background-color: var(--hover-bg);
}

.glyph-box.selected {
  background-color: var(--primary);
  transition: 0.2s;
  color: var(--text-white);
}

.button-group {
  display: flex;
  gap: 0.5rem;
}

.material-symbols-outlined {
  font-size: 24px;
  cursor: pointer;
  color: var(--primary);
  background-color: transparent;
  border: none;
  padding: 0.5rem;
  border-radius: 4px;
  transition: background-color 0.3s ease;
}

.material-symbols-outlined:hover {
  background-color: rgba(213, 206, 230, 0.1);
}

.controls {
  font-family: "Space Grotesk", serif;
  margin-top: 1rem;
  display: flex;
  gap: 0.25rem;
  justify-content: space-between;
  padding: 0 0.5vw;
  border-radius: 1rem;
  background-color: var(--bg-panel);
}

.slider-group {
  display: flex;
  align-items: center;
  font-size: 1rem;
}

.slider-group label {
  padding: 0.75rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  font-size: 1rem;
  color: var(--primary);
  width: 60px;
}

input[type="range"] {
  -webkit-appearance: none;
  width: 100%;
  color: var(--primary);
  outline: none;
  opacity: 0.7;
  transition: 0.2s;
}

input[type="range"]:hover {
  opacity: 1;
  transition: 0.2s;
}

input[type="range"]::-webkit-slider-runnable-track {
  width: 100%;
  height: 1px;
  background: var(--primary);
}

input[type="range"]::-moz-range-track {
  width: 100%;
  height: 1px;
  background: var(--primary);
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 12px;
  height: 12px;
  background: var(--primary);
  border-radius: 50%;
  border: 1px solid var(--primary);
  cursor: pointer;
  margin-top: -5px;
}

input[type="range"]::-moz-range-thumb {
  width: 12px;
  height: 12px;
  background: var(--primary);
  border-radius: 50%;
  cursor: pointer;
}
.arrow{
  color: var(--accent);  font-family: 'GridmaticStretch'; opacity: 50%; font-weight: 100; height: 1px; text-align: center; position: relative; top: -1.5%; font-size: 15rem;
  will-change: transform;
  transform: translateZ(0);
  backface-visibility: hidden;
}
/* Styles for the images inside the parallax container */
.parallax img {
  width: 100%; /* Use 100% to respect the inline width */
  transition: transform 0.9s ease; /* Smooth transition for scaling */
}

/* Hover effect to scale the image */
.parallax:hover img {
  transform: scale(1.3); /* Scale the image to 2x on hover */
}

/* Responsive styles for devices with max-width: 768px */
@media only screen and (max-width: 900px) {

  
  .text-large {
    font-size: calc(4rem + 4vw); 
  }

  .hero {
   margin: 2rem;
  }
  
  .bomb {
    top: 16%;
    left: -18%;
    transform: rotate(-18deg);
  }
  
  .drinks {
    top: 15%;
    right: -36%;
    transform: rotate(10deg);
  }
  
  .neutral {
    bottom: 15%;
    left: -9%;
    transform: rotate(7deg);
  }
  
  .tv {
    bottom: 23%;
    right: -7%;
    transform: rotate(-9deg);
  }


  .content-grid {
    /* Switch to a single-column layout */
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    /* Define grid areas: first row for the video, second for the text */
    grid-template-areas:
      "letters"
      "text";
      gap: 1rem;
  }
  /* Assign the grid areas */
  .letters {
    margin-bottom: 1rem;
  }
  .text-grid {
    grid-area: text;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }
  .box {
    padding: 0.5rem;
    margin: 0.5rem;
    margin-top: -4rem;
  }
  .slider{
    font-size: 90px;
    margin: 1rem;
    margin-top: 0.5rem;
  }
  .container2 {

margin-bottom: 4rem;
    display:block;
  
    max-width: 100%;
    padding: 1rem 2rem 0rem 2rem;
  
    color: var(--primary);
  }
  .box2{

    gap: 1rem;

    padding: 0rem;

   
    display: block
;
    justify-content: center;
    align-items: center;
  }
  .container3 {

    display: grid;

    grid-template-columns: 1fr;
    grid-template-rows: auto;
 
  
   margin: 0rem;
 
   gap: 1rem;
   padding: 2rem 1.5rem 2rem 1.5rem;
 

    max-width: 100%;

  }
  .container35{

    display: grid;

    grid-template-columns: 1fr;
    grid-template-rows: auto;
 
  
   margin: 0rem;
 
 
    padding: 2rem 1.5rem 2rem 1.5rem;
    gap: 1rem;

    max-width: 100%;

  }
  h4{
    margin-bottom: 0.5rem;
  }
  .show{
    font-size: 10vw;
  }
  .info-section {
    order: -1; /* Move the info section above the show section */}



.show2{
  font-size: 10vw;
}

.box3{
  font-size: 2rem;
 padding: 0;
    margin-top: 4rem;

}


.arrow{
font-size: 10rem;
top: -0.5%;
}

.h5{
  font-size: 5.5rem;
  padding: 0px;
}

.box4 {
  display: none;
  
}

#container {
  display: block;
  width: auto; 

}
#wrapper {
  max-width: 100%;
  padding: 0;
}
#glyph-preview {
  font-size: 70vw;
}
.line {
  font-size: 12px;
}
#glyph-info {
  font-size: 12px;
}

.buttonmode {
  z-index: 3;
  display: flex;
  font-family: 'Space Grotesk', monospace;
  border: none;
  border-radius: 2rem;
  padding: 0.25rem 0.25rem 0.25rem 1rem;
  font-size: 1rem; 
  cursor: pointer;
  transition: 0.3s;
  filter: var(--drop-shadow-normal);
  animation: appear 3s;
  z-index: 5;
  top: 2rem;
  position: fixed;
  align-self:auto;
  align-items:auto;
  justify-content: left;
  left: 2rem;

}

.text-grid2 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1.5rem;
  padding: 1rem;
  
  }

  .letters3 {
    background-color: #E0D3FF;
    position: relative;
    width: 100%;
    height: 100%;
    position: relative;
      
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    
    gap: 2rem;
    border-radius: 1.5rem;
    
    overflow: hidden;
    animation: appear 3s;
    }
    .controls {
    display: none;
    }
    #font-family-buttons {
      display: none;
    }
}